from django.urls import path, include
from rest_framework import routers
from .views import InspectItemViewSet, InspectTaskViewSet, SubtaskViewSet, InspectRecordViewSet, InspectDeptViewSet

router = routers.DefaultRouter()
router.register('inspectitem', InspectItemViewSet, basename="inspectitem")
router.register('inspecttask', InspectTaskViewSet, basename="inspecttask")
router.register('subinspecttask', SubtaskViewSet, basename="subinspecttask")
router.register('inspectrecord', InspectRecordViewSet, basename='inspectrecord')
router.register('inspectdept', InspectDeptViewSet, basename='inspectdept')
urlpatterns = [
    path('', include(router.urls))
]